%define name lineakconfig
%define version 0.3.2
%define release 3mdk

Summary:   Tools to configure lineakd
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     System/Configuration/Hardware          
Source0:   %{name}-%{version}.tar.bz2
Source1:    %{name}-16.png.bz2
Source2:    %{name}-32.png.bz2
Source3:   %{name}-48.png.bz2
Buildroot: %{_tmppath}/%{name}-root
Provides:  lineakconfig
Url:	   http://lineak.sourceforge.net/
Requires:  lineakd
BuildRequires: libdmalloc-devel
BuildRequires: libgtk+1.2-devel

%description
Lineakconfig is a tool to configure the lineakd daemon.  

Lineakd controls the multimedia keys on modern keyboards 
and is provided by another package (lineakd).

%prep
%setup -q

%build

%configure
%make

%install
%makeinstall

bzcat %{SOURCE1} > %{name}-16.png
bzcat %{SOURCE2} > %{name}-32.png
bzcat %{SOURCE3} > %{name}-48.png
install -D -m 644 %{name}-16.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -D -m 644 %{name}-32.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -D -m 644 %{name}-48.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

(cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF
?package(%{name}):\
command="%{_bindir}/%{name}"\
title="Lineakconfig"\
longtitle="Tools to configure modern keyboard with lineakd"\
needs="x11"\
icon="%{name}.png"\
section="Configuration/Hardware"
EOF
)

rm -fr $RPM_BUILD_ROOT/usr/doc

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc NEWS TODO README AUTHORS INSTALL ABOUT-NLS ChangeLog COPYING 
%{_bindir}/%{name}
%dir %{_datadir}/%{name}
%dir %{_datadir}/%{name}/pixmaps
%{_datadir}/%{name}/pixmaps/*

%{_menudir}/*
# icons
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Thu May 01 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.2-3mdk
- distlint fix

* Fri Dec 27 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.2-2mdk
- rebuild for rpm and glibc
- Fix unpackaged files

* Fri Jun 14 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3.2-1mdk
- 0.3.5 (thx Charles A Edwards <eslrahc@bellsouth.net>)

* Fri May 31 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-0.2mdk
- fix typo (Thx Levi Ramsey)

* Thu May 30 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.3-0.1mdk 
- 1st mdk release
